Bug 785328 - Can't select maximum resolution on intel Arrandale with DualHead2Go Digital Edition (D2G-A2D-IF) on VGA Port
Can't select maximum resolution on intel Arrandale with DualHead2Go Digital E...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
16
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Patch, Regression, Triaged
Depends On: 559426
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-27 22:46 EST by Masaki Furuta
Modified: 2013-02-13 19:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 559426
Environment:
Last Closed: 2013-02-13 19:38:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.err.log (50.44 KB, application/octet-stream)
2012-01-27 22:47 EST, Masaki Furuta
no flags Details
Xorg.patched.log (47.08 KB, application/octet-stream)
2012-01-27 22:48 EST, Masaki Furuta
no flags Details

  None (edit)
Description Masaki Furuta 2012-01-27 22:46:44 EST
+++ This bug was initially created as a clone of Bug #559426 +++

Description of problem:

 I can't select maximum resolution on Intel Arrandale with DualHead2Go
 Digital Edition (D2G-A2D-IF) on VGA Port with dual display of EIZO
 FORIS FS2332 (1920x1080 + 1920x1080 = 3840x1080), due to 'Not using
 mode "3840x1080" (mode clock too high)'.

    [   378.435] 
    X.Org X Server 1.11.3
    Release Date: 2011-12-16
    [   378.436] X Protocol Version 11, Revision 0
    [   378.436] Build Operating System: x86-03 2.6.32-220.el6.x86_64 
    [   378.436] Current Operating System: Linux localhost.localdomain 3.2.1-3.fc16.x86_64 #1 SMP Mon Jan 23 15:36:17 UTC 2012 x86_64
    [   378.436] Kernel command line: BOOT_IMAGE=/vmlinuz-3.2.1-3.fc16.x86_64 root=/dev/mapper/VolGroup-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=VolGroup/lv_swap KEYTABLE=us quiet 
    SYSFONT=latarcyrheb-sun16 rhgb rd.lvm.lv=VolGroup/lv_root rd.luks=0 LANG=en_US.UTF-8 3
    [   378.436] Build Date: 19 December 2011  02:24:23AM
    <snip> 
    [   378.613] (II) intel(0): Supported detailed timing:
    [   378.613] (II) intel(0): clock: 261.0 MHz   Image Size:  1082 x 304 mm
    [   378.613] (II) intel(0): h_active: 3840  h_sync: 3856  h_sync_end 3904 h_blank_end 3920 h_border: 0
    [   378.613] (II) intel(0): v_active: 1080  v_sync: 1083  v_sync_end 1094 v_blanking: 1111 v_border: 0
    [   378.613] (II) intel(0): Supported detailed timing:
    [   378.613] (II) intel(0): clock: 189.9 MHz   Image Size:  721 x 288 mm
    [   378.613] (II) intel(0): h_active: 2560  h_sync: 2608  h_sync_end 2720 h_blank_end 2968 h_border: 0
    [   378.613] (II) intel(0): v_active: 1024  v_sync: 1025  v_sync_end 1037 v_blanking: 1066 v_border: 0
    [   378.613] (II) intel(0): Supported detailed timing:
    [   378.613] (II) intel(0): clock: 260.5 MHz   Image Size:  902 x 338 mm
    [   378.613] (II) intel(0): h_active: 3200  h_sync: 3264  h_sync_end 3328 h_blank_end 3520 h_border: 0
    [   378.613] (II) intel(0): v_active: 1200  v_sync: 1203  v_sync_end 1210 v_blanking: 1235 v_border: 0
    [   378.613] (II) intel(0): #3: hsize: 256  vsize 160  refresh: 61  vid: 257
    [   378.613] (II) intel(0): #3: hsize: 256  vsize 160  refresh: 61  vid: 257
    [   378.613] (II) intel(0): #3: hsize: 256  vsize 160  refresh: 61  vid: 257
    [   378.614] (II) intel(0): #3: hsize: 256  vsize 160  refresh: 61  vid: 257
    [   378.614] (II) intel(0): #3: hsize: 256  vsize 160  refresh: 61  vid: 257
    [   378.614] (II) intel(0): EDID (in hex):
    [   378.614] (II) intel(0):     00ffffffffffff0036980005f84f6051
    [   378.614] (II) intel(0):     1e0f01030e291f78e860e5a3574b9c25
    [   378.614] (II) intel(0):     115054254b00a9408180010101010101
    [   378.614] (II) intel(0):     010101010101f5650050f0381f401030
    [   378.614] (II) intel(0):     3b003a304100001a2d4a0098a1002a40
    [   378.614] (II) intel(0):     30701c00d1202100001ac2658040c1b0
    [   378.614] (II) intel(0):     23404040370086523100001a000000fa
    [   378.614] (II) intel(0):     000101010101010101010101011e00c2
    [   378.614] (II) intel(0): Not using mode "3840x1080" (mode clock too high)
    [   378.614] (II) intel(0): Not using mode "3200x1200" (mode clock too high)
    [   378.614] (II) intel(0): Printing probed modes for output VGA1
    [   378.614] (II) intel(0): Modeline "2560x1024"x60.0  189.89  2560 2608 2720 2968  1024 1025 1037 1066 +hsync -vsync (64.0 kHz)
    [   378.614] (II) intel(0): Modeline "1600x1200"x60.0  162.00  1600 1664 1856 2160  1200 1201 1204 1250 +hsync +vsync (75.0 kHz)
    [   378.614] (II) intel(0): Modeline "1280x1024"x75.0  135.00  1280 1296 1440 1688  1024 1025 1028 1066 +hsync +vsync (80.0 kHz)

Version-Release number of selected component (if applicable):

    Fedora 16
        xorg-x11-drv-intel-2.17.0-4.fc16.x86_64

How reproducible:

always

Steps to Reproduce:
1. boot with DualHead2Go attached to VGA output.
2. 
3.
  
Actual results:

  Intel Arrandale ('8086:0046 (rev 02)') is capable for 3840x1080, but
  discarded EDID info from MTX (Matrox DualHead2Go) and forcibly set
  lower resolution (2560x1024)

Expected results:

  should set 3840x1080 and output to display properly.  

Additional info:

  Here's ugly hack just for overriding patch on bz#559426, but it
  works flawlessly, so please revert intel-2.11.0-vga-clock-max.patch
  @2.11.0-2 or consider set higher limit?  

  I have only DualHead2Go DE but I assume TripleHead2Go DE may need
  higher pixel clock, if monitor informed wrong EDID to VGA as on
  bz#559426, we don't have much to do and just use option
  "monitor-VGA" and Option "monitor-LVDS" on xorg.conf?
  
      --- xf86-video-intel-2.17.0/src/intel_display.c.orig    2012-01-26 00:05:57.411798308 +0900
      +++ xf86-video-intel-2.17.0/src/intel_display.c    2012-01-26 00:06:45.777808816 +0900
      @@ -749,7 +749,7 @@
  
           /* I don't actually believe any VGA is this good */
           if (koutput->connector_type == DRM_MODE_CONNECTOR_VGA)
      -        if (pModes->Clock > 250000)
      +        if (pModes->Clock > 261010)
                   return MODE_CLOCK_HIGH;

  Here output from /var/log/Xorg.0.log with patched version of intel driver
  Also attaching full version of this log and error log.

      [	29.194] (II) intel(0): EDID for output VGA1
      [	29.194] (II) intel(0): Manufacturer: MTX  Model: 500  Serial#: 1365266424
      [	29.194] (II) intel(0): Year: 2005  Week: 30
      [	29.194] (II) intel(0): EDID Version: 1.3
      [	29.194] (II) intel(0): Analog Display Input,  Input Voltage Level: 0.700/0.300 V
      [	29.194] (II) intel(0): Sync:  Separate  Composite  SyncOnGreen
      [	29.194] (II) intel(0): Max Image Size [cm]: horiz.: 41  vert.: 31
      [	29.194] (II) intel(0): Gamma: 2.20
      [	29.194] (II) intel(0): DPMS capabilities: StandBy Suspend Off; RGB/Color Display
      [	29.194] (II) intel(0): First detailed timing not preferred mode in violation of standard!
      [	29.194] (II) intel(0): redX: 0.638 redY: 0.342   greenX: 0.293 greenY: 0.609
      [	29.194] (II) intel(0): blueX: 0.147 blueY: 0.068   whiteX: 0.313 whiteY: 0.329
      [	29.194] (II) intel(0): Supported established timings:
      [	29.194] (II) intel(0): 640x480@60Hz
      [	29.194] (II) intel(0): 640x480@75Hz
      [	29.194] (II) intel(0): 800x600@60Hz
      [	29.194] (II) intel(0): 800x600@75Hz
      [	29.194] (II) intel(0): 1024x768@60Hz
      [	29.194] (II) intel(0): 1024x768@75Hz
      [	29.194] (II) intel(0): 1280x1024@75Hz
      [	29.194] (II) intel(0): Manufacturer's mask: 0
      [	29.195] (II) intel(0): Supported standard timings:
      [	29.195] (II) intel(0): #0: hsize: 1600  vsize 1200  refresh: 60  vid: 16553
      [	29.195] (II) intel(0): #1: hsize: 1280  vsize 1024  refresh: 60  vid: 32897
      [	29.195] (II) intel(0): Supported detailed timing:
      [	29.195] (II) intel(0): clock: 261.0 MHz   Image Size:  1082 x 304 mm
      [	29.195] (II) intel(0): h_active: 3840  h_sync: 3856  h_sync_end 3904 h_blank_end 3920 h_border: 0
      [	29.195] (II) intel(0): v_active: 1080  v_sync: 1083  v_sync_end 1094 v_blanking: 1111 v_border: 0

  EDID is here, Matrox DualHead2Go is requied higher pixel clock than
  expected with dual full-hd monitor.
  
      Screen 0: minimum 320 x 200, current 3840 x 1080, maximum 8192 x 8192
      LVDS1 connected (normal left inverted right x axis y axis)
          EDID:
              00ffffffffffff0030e4150200000000
              00130103902313780a15d59e59509826
              0e505400000001010101010101010101
              0101010101011a3680a070381f403020
              350059c21000001b1a3680a070381f40
              3020350059c21000001b000000fe0043
              30383854803135365746310a00000000
              00000000000000000002010a202000d1
          BACKLIGHT: 0 (0x00000000)    range:  (0,11)
          Backlight: 0 (0x00000000)    range:  (0,11)
          scaling mode:    Full aspect
              supported: None         Full         Center       Full aspect 
         1920x1080      59.9 +
         1400x1050      60.0  
         1280x1024      60.0  
         1280x960       60.0  
         1024x768       60.0  
         800x600        60.3     56.2  
         640x480        59.9  
      VGA1 connected 3840x1080+0+0 (normal left inverted right x axis y axis) 1082mm x 304mm
          EDID:
              00ffffffffffff0036980005f84f6051
              1e0f01030e291f78e860e5a3574b9c25
              115054254b00a9408180010101010101
              010101010101f5650050f0381f401030
              3b003a304100001a2d4a0098a1002a40
              30701c00d1202100001ac2658040c1b0
              23404040370086523100001a000000fa
              000101010101010101010101011e00c2
         3840x1080      59.9* 
         3200x1200      59.9  
         2560x1024      60.0  
         1600x1200      60.0  
         1280x1024      75.0     60.0  
         1024x768       75.1     60.0  
         800x600        75.0     60.3  
         640x480        75.0     60.0
Comment 3 Fedora End Of Life 2013-01-16 16:56:22 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 19:39:00 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.